Hirevoice Docs
Openapi

List candidates with interview lifecycle and results

GET
/integration/v1/candidates

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

company_candidate_uuid?|
position_id?|
company_position_uuid?|

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.hirevoice.dev/api/integration/v1/candidates"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "company_candidate_uuid": "string",
      "first_name": "string",
      "last_name": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "cv_parsing_status": "string",
      "cv_parsed_at": "2019-08-24T14:15:22Z",
      "interviews": [
        {
          "position_id": "a92aa83d-7963-4315-8d81-5d1c5b730d9d",
          "company_position_uuid": "string",
          "status": "queued",
          "interview_url": "string",
          "result": {
            "evaluation": "string",
            "evaluation_parsed": [
              {
                "type": "hard-skill",
                "title": "string",
                "level": 0,
                "max_level": 0,
                "reason": "string"
              }
            ],
            "transcript": "string",
            "duration": 0,
            "video_url": "string",
            "extracted_data": [
              {
                "key": "string",
                "captured": {}
              }
            ]
          },
          "context": {
            "criteria_source": "position.interview_evaluation_criteria",
            "job_opening_role": "string",
            "job_description": "string",
            "evaluation_criteria": [
              {
                "category": "hard-skill",
                "title": "string",
                "definition": "string",
                "levels": [
                  {
                    "level": 0,
                    "description": "string"
                  }
                ],
                "question_examples": [
                  "string"
                ]
              }
            ],
            "applied_extract_data": {
              "tools_or_tags": [
                "string"
              ],
              "must_have_questions_added": [
                "string"
              ],
              "challenge_level": 0,
              "depth_level": 0,
              "max_questions": 0,
              "language": "en",
              "persona_applied": false,
              "first_message_applied": false
            },
            "extract_data_fields": [
              {
                "key": "string",
                "description": ""
              }
            ]
          },
          "error_detail": {},
          "status_detail": {}
        }
      ]
    }
  ]
}
{
  "detail": "string",
  "code": "string"
}
Empty
{
  "detail": "string",
  "code": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
{
  "detail": "string",
  "code": "string"
}